weka.knowledgeflow.steps

## Class Note

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.Note

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      public class Note
      extends BaseStep

  A Knowledge Flow "step" that implements a note on the GUI layout
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Note()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCustomEditorForStep()` Return the fully qualified name of a custom editor component (JComponent) to use for editing the properties of the step.
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get incoming connections accepted - none in the case of a note :-)
    `java.lang.String` | `getNoteText()` Get the text of the note
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get outgoing connections produced - none in the case of a note :-)
    `void` | `setNoteText(java.lang.String text)` Set the text of the note
    `void` | `stepInit()` Initialize - does nothing in the case of a note :-)

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, processIncoming, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Note

          public Note()

  - ### Method Detail

    - #### stepInit

          public void stepInit()

      Initialize - does nothing in the case of a note :-)

    - #### setNoteText

          public void setNoteText(java.lang.String text)

      Set the text of the note
      Parameters:
        `text` - the text

    - #### getNoteText

          public java.lang.String getNoteText()

      Get the text of the note
      Returns:
        the text

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get incoming connections accepted - none in the case of a note :-)
      Returns:
        a list of incoming connections

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get outgoing connections produced - none in the case of a note :-)
      Returns:
        a list of outgoing connections

    - #### getCustomEditorForStep

          public java.lang.String getCustomEditorForStep()

      Return the fully qualified name of a custom editor component (JComponent) to use for editing the properties of the step. This method can return null, in which case the system will dynamically generate an editor using the GenericObjectEditor
      Specified by:
        `getCustomEditorForStep` in interface `Step`
      Overrides:
        `getCustomEditorForStep` in class `BaseStep`
      Returns:
        the fully qualified name of a step editor component